# SDL Visual Test: C:/Users/DELL/Work/sdlvisualtest/visualtest/src/variator_random.c File Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
variator_random.c File Reference
`#include <time.h>`
`#include <SDL_test.h>`
`#include "SDL_visualtest_random_variator.h"`

## Functions

int | SDLVisualTest_InitRandomVariator (SDLVisualTest_RandomVariator *variator, SDLVisualTest_SUTConfig *config, Uint64 seed)
char * | SDLVisualTest_GetNextRandomVariation (SDLVisualTest_RandomVariator *variator)
void | SDLVisualTest_FreeRandomVariator (SDLVisualTest_RandomVariator *variator)

## Detailed Description

Source file for the variator that tests the SUT with random variations to the input parameters.

## Function Documentation

void SDLVisualTest_FreeRandomVariator | ( | SDLVisualTest_RandomVariator * | variator) |  |

Frees any resources associated with the variator.

char* SDLVisualTest_GetNextRandomVariation | ( | SDLVisualTest_RandomVariator * | variator) |  |

Generates a new random variation.

Returns
  The arguments string representing the random variation on success, and NULL on failure. The pointer returned should not be freed.

int SDLVisualTest_InitRandomVariator | ( | SDLVisualTest_RandomVariator * | variator,
|  | SDLVisualTest_SUTConfig * | config,
|  | Uint64 | seed
| ) |  |

Initializes the variator.

Returns
  1 on success, 0 on failure